__gnu_parallel::_LoserTreePointer< __stable, _Tp, _Compare > Class Template Reference
Inheritance diagram for __gnu_parallel::_LoserTreePointer< __stable, _Tp, _Compare >:
[legend]

## Public Member Functions

int | __get_min_source ()
void | __insert_start (const _Tp &__key, int __source, bool __sup)

## Public Attributes

| __pad0__: _Base::_LoserTreePointerBase(__k

## Protected Attributes

_Compare | _M_comp
unsigned int | _M_ik
unsigned int | _M_k
_Loser * | _M_losers
unsigned int | _M_offset

## Detailed Description

### template<bool __stable, typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointer< __stable, _Tp, _Compare >

Stable _LoserTree implementation.

The unstable variant is implemented using partial instantiation below.

Definition at line 409 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h